Bug 1294278 - Review Request: python-usbtmc - Python implementation of the USBTMC protocol
Review Request: python-usbtmc - Python implementation of the USBTMC protocol
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-26 06:13 EST by Antonio Trande
Modified: 2017-02-06 23:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 14:21:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1297108 None None None 2016-01-09 05:38 EST

  None (edit)
Description Antonio Trande 2015-12-26 06:13:28 EST
Spec URL: https://sagitter.fedorapeople.org/python-usbtmc/python-usbtmc.spec
SRPM URL: https://sagitter.fedorapeople.org/python-usbtmc/python-usbtmc-0.6-1.fc23.src.rpm

Description:
Python USBTMC is a Python implementation of the
USBTMC instrument control protocol.

Fedora Account System Username: sagitter

This package is for Fedora, EPEL6, EPEL7
Comment 1 Upstream Release Monitoring 2016-01-08 18:37:55 EST
williamjmorenor's scratch build of python-usbtmc-0.6-1.fc23.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12472212
Comment 2 William Moreno 2016-01-08 19:10:00 EST
Package Review
==============
This package do not look bad but the epel6 build fails due a a missing pyusb dependency. You can go for epel7 and Fedora so you can clean the spec for conditionals about <epel6 and you can provide a python2 subpackage as currente Fedora Python Packagind guidelines requires.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12472222

Also in Fedora and Epel7 you can use %py2_build, py2_install, py3_build and py3_install

This way you can clean than the spec for epel7 and Fedora.

The doc directoy is a python-sphinx documentation than can build to html and include in docs.

Also looks like upstream is using MIT and not BSD as license
https://github.com/python-ivi/python-usbtmc/blob/master/COPYING
https://fedoraproject.org/wiki/Licensing:MIT#Modern_Style_with_sublicense

===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. 
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====
Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-usbtmc , python-usbtmc-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python-usbtmc-0.6-1.fc24.noarch.rpm
          python3-usbtmc-0.6-1.fc24.noarch.rpm
          python-usbtmc-doc-0.6-1.fc24.noarch.rpm
          python-usbtmc-0.6-1.fc24.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
python-usbtmc (rpmlib, GLIBC filtered):
    python(abi)
    pyusb

python-usbtmc-doc (rpmlib, GLIBC filtered):

python3-usbtmc (rpmlib, GLIBC filtered):
    python(abi)
    python3-pyusb

Provides
--------
python-usbtmc:
    python-usbtmc
    python-usbtmc(x86-64)

python-usbtmc-doc:
    python-usbtmc-doc

python3-usbtmc:
    python3-usbtmc

Source checksums
----------------
https://github.com/python-ivi/python-usbtmc/archive/v0.6.tar.gz#/python-usbtmc-0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 82ffe87a2fc97a8aeb47b683d5b0ca77cb0808fbe5cfb8ee4731e8c19a35dcf2
  CHECKSUM(SHA256) upstream package : 82ffe87a2fc97a8aeb47b683d5b0ca77cb0808fbe5cfb8ee4731e8c19a35dcf2
Comment 3 Antonio Trande 2016-01-09 05:25:31 EST
(In reply to William Moreno from comment #2)
> Package Review
> ==============
> This package do not look bad but the epel6 build fails due a a missing pyusb
> dependency. You can go for epel7 and Fedora so you can clean the spec for
> conditionals about <epel6 and you can provide a python2 subpackage as
> currente Fedora Python Packagind guidelines requires.

Maybe I can require a rebuild of pyusb on epel6.
Comment 4 William Moreno 2016-01-09 15:01:43 EST
I think than you can continue this review and focus packaging guidelines for Python, you must provide a python2 subpackage for Fedora, the python-provides macro is redirectin python-name to python2-name for the moment but some time the python-provides will change to point python-name to python3-name so I need than you provides a python2-subpackage to aprove this review.
Comment 5 Antonio Trande 2016-01-10 05:55:26 EST
(In reply to William Moreno from comment #4)
> I think than you can continue this review and focus packaging guidelines for
> Python, you must provide a python2 subpackage for Fedora, the
> python-provides macro is redirectin python-name to python2-name for the
> moment but some time the python-provides will change to point python-name to
> python3-name so I need than you provides a python2-subpackage to aprove this
> review.

Spec URL: https://sagitter.fedorapeople.org/python-usbtmc/python-usbtmc.spec
SRPM URL: https://sagitter.fedorapeople.org/python-usbtmc/python-usbtmc-0.6-2.fc23.src.rpm

pyusb is on epel6 (see bz#1297108)
Comment 6 Upstream Release Monitoring 2016-01-21 18:46:52 EST
williamjmorenor's scratch build of python-usbtmc-0.6-2.fc23.src.rpm for el6-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12639772
Comment 7 Upstream Release Monitoring 2016-01-21 18:48:06 EST
williamjmorenor's scratch build of python-usbtmc-0.6-2.fc23.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12639785
Comment 8 William Moreno 2016-01-21 18:54:19 EST
Package Aproved
===============
http://koji.fedoraproject.org/koji/taskinfo?taskID=12639772
http://koji.fedoraproject.org/koji/taskinfo?taskID=12639785
http://koji.fedoraproject.org/koji/taskinfo?taskID=12639787

[!]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: python2-usbtmc (summary)

Hte build still fail in epel6, note the unexpandable macro.

I do not find bloquers, any way think about to keep a more moder python spex for Fedora an Epel7, there is no not need to support epel6 in current packaging guidelines for Fedora and epel7

===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. 
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====
Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python2-usbtmc-0.6-2.fc24.noarch.rpm
          python3-usbtmc-0.6-2.fc24.noarch.rpm
          python-usbtmc-doc-0.6-2.fc24.noarch.rpm
          python-usbtmc-0.6-2.fc24.src.rpm
python2-usbtmc.noarch: W: unexpanded-macro Summary(C) %{sum}
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
python2-usbtmc.noarch: W: unexpanded-macro Summary(C) %{sum}
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Requires
--------
python2-usbtmc (rpmlib, GLIBC filtered):
    python(abi)

python3-usbtmc (rpmlib, GLIBC filtered):
    python(abi)
    python3-pyusb

python-usbtmc-doc (rpmlib, GLIBC filtered):

Provides
--------
python2-usbtmc:
    python-usbtmc
    python2-usbtmc

python3-usbtmc:
    python3-usbtmc

python-usbtmc-doc:
    python-usbtmc-doc

Source checksums
----------------
https://github.com/python-ivi/python-usbtmc/archive/v0.6.tar.gz#/python-usbtmc-0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 82ffe87a2fc97a8aeb47b683d5b0ca77cb0808fbe5cfb8ee4731e8c19a35dcf2
  CHECKSUM(SHA256) upstream package : 82ffe87a2fc97a8aeb47b683d5b0ca77cb0808fbe5cfb8ee4731e8c19a35dcf2
Comment 9 Antonio Trande 2016-01-22 06:13:32 EST
(In reply to William Moreno from comment #8)
> Package Aproved
> ===============
> http://koji.fedoraproject.org/koji/taskinfo?taskID=12639772
> http://koji.fedoraproject.org/koji/taskinfo?taskID=12639785
> http://koji.fedoraproject.org/koji/taskinfo?taskID=12639787
> 
> [!]: Macros in Summary, %description expandable at SRPM build time.
>      Note: Macros in: python2-usbtmc (summary)

Fixed.

> 
> Hte build still fail in epel6, note the unexpandable macro.

pyusb is still on epel6-testing but works.

Last release reloaded:

Spec URL: https://sagitter.fedorapeople.org/python-usbtmc/python-usbtmc.spec
SRPM URL: https://sagitter.fedorapeople.org/python-usbtmc/python-usbtmc-0.6-2.fc23.src.rpm

Thank you.
Comment 10 Gwyn Ciesla 2016-01-22 07:33:36 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-usbtmc
Comment 11 Fedora Update System 2016-01-22 11:57:15 EST
python-usbtmc-0.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cab960671a
Comment 12 Fedora Update System 2016-01-22 11:57:17 EST
python-usbtmc-0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8126256965
Comment 13 Fedora Update System 2016-01-22 11:57:18 EST
python-usbtmc-0.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cab960671a
Comment 14 Fedora Update System 2016-01-22 11:57:19 EST
python-usbtmc-0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8126256965
Comment 15 Fedora Update System 2016-01-22 11:57:20 EST
python-usbtmc-0.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cab960671a
Comment 16 Fedora Update System 2016-01-22 11:57:22 EST
python-usbtmc-0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8126256965
Comment 17 Fedora Update System 2016-01-22 11:57:22 EST
python-usbtmc-0.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cab960671a
Comment 18 Fedora Update System 2016-01-22 11:57:24 EST
python-usbtmc-0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8126256965
Comment 19 Fedora Update System 2016-01-22 11:57:24 EST
python-usbtmc-0.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cab960671a
Comment 20 Fedora Update System 2016-01-22 11:57:30 EST
python-usbtmc-0.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63a7ad4c6
Comment 21 Fedora Update System 2016-01-23 23:22:45 EST
python-usbtmc-0.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8126256965
Comment 22 Fedora Update System 2016-01-23 23:50:34 EST
python-usbtmc-0.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cab960671a
Comment 23 Fedora Update System 2016-01-23 23:50:43 EST
python-usbtmc-0.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63a7ad4c6
Comment 24 Fedora Update System 2016-02-02 14:21:33 EST
python-usbtmc-0.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2016-02-02 18:53:21 EST
python-usbtmc-0.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-02-10 06:14:01 EST
python-usbtmc-0.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.